/***************************************************************************
 *   Copyright (C) 2005 by Thierry CHARLES   *
 *   thierry@les-charles.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "xpe.h"

#include "components/stdgui/tbitmap.h"

#include "bmp_id.h"

#include "bitmaps/add.xpm"
#include "bitmaps/bloc_notes.xpm"
#include "bitmaps/check.xpm"
#include "bitmaps/clock.xpm"
#include "bitmaps/colorchooser_22.xpm"
#include "bitmaps/comment_in_22.xpm"
#include "bitmaps/comment_in.xpm"
#include "bitmaps/comment_out_22.xpm"
#include "bitmaps/comment_out.xpm"
#include "bitmaps/documents.xpm"
#include "bitmaps/down.xpm"
#include "bitmaps/edit_copy_22.xpm"
#include "bitmaps/edit_copy.xpm"
#include "bitmaps/edit_cut_22.xpm"
#include "bitmaps/edit_cut.xpm"
#include "bitmaps/edit_paste_22.xpm"
#include "bitmaps/edit_paste.xpm"
#include "bitmaps/editquestion.xpm"
#include "bitmaps/exchange.xpm"
#include "bitmaps/file_binary.xpm"
#include "bitmaps/file_find_22.xpm"
#include "bitmaps/file_find_next_22.xpm"
#include "bitmaps/file_find_next.xpm"
#include "bitmaps/file_find.xpm"
#include "bitmaps/file_image.xpm"
#include "bitmaps/file_ini_m.xpm"
#include "bitmaps/file_ini.xpm"
#include "bitmaps/file_open_22.xpm"
#include "bitmaps/file_open.xpm"
#include "bitmaps/file_povray_m.xpm"
#include "bitmaps/file_povray.xpm"
#include "bitmaps/file_replace_22.xpm"
#include "bitmaps/file_replace.xpm"
#include "bitmaps/file_save_22.xpm"
#include "bitmaps/file_save.xpm"
#include "bitmaps/file_txt.xpm"
#include "bitmaps/folder.xpm"
#include "bitmaps/fonts_22.xpm"
#include "bitmaps/help.xpm"
#include "bitmaps/incs.xpm"
#include "bitmaps/join_lines_22.xpm"
#include "bitmaps/join_lines.xpm"
#include "bitmaps/magnifier_fit.xpm"
#include "bitmaps/magnifier_minus.xpm"
#include "bitmaps/magnifier_plus.xpm"
#include "bitmaps/play.xpm"
#include "bitmaps/povray.xpm"
#include "bitmaps/redo_22.xpm"
#include "bitmaps/redo.xpm"
#include "bitmaps/refresh.xpm"
#include "bitmaps/remove_line_22.xpm"
#include "bitmaps/remove_line.xpm"
#include "bitmaps/remove.xpm"
#include "bitmaps/sharp_bookmark.xpm"
#include "bitmaps/sharp_declare.xpm"
#include "bitmaps/sharp_locale.xpm"
#include "bitmaps/sharp_macro.xpm"
#include "bitmaps/splash.xpm"
#include "bitmaps/stop.xpm"
#include "bitmaps/undo_22.xpm"
#include "bitmaps/undo.xpm"
#include "bitmaps/up.xpm"
#include "bitmaps/xpe_16.xpm"


/** initialise les bitmaps de l'appli */
void XPE::initBmps()
{
    this->addBitmap( BMP_ADD_ID , new TBitmap((const char **) add_xpm ) );
    this->addBitmap( BMP_BLOC_NOTES_ID , new TBitmap((const char **) bloc_notes_xpm ) );
    this->addBitmap( BMP_CHECK_ID , new TBitmap((const char **) check_xpm ) );
    this->addBitmap( BMP_CLOCK_ID , new TBitmap((const char **) clock_xpm ) );
    this->addBitmap( BMP_COLORCHOOSER_22_ID , new TBitmap((const char **) colorchooser_22_xpm ) );
    this->addBitmap( BMP_COMMENT_IN_22_ID , new TBitmap((const char **) comment_in_22_xpm ) );
    this->addBitmap( BMP_COMMENT_IN_ID , new TBitmap((const char **) comment_in_xpm ) );
    this->addBitmap( BMP_COMMENT_OUT_22_ID , new TBitmap((const char **) comment_out_22_xpm ) );
    this->addBitmap( BMP_COMMENT_OUT_ID , new TBitmap((const char **) comment_out_xpm ) );
    this->addBitmap( BMP_DOCUMENTS_ID , new TBitmap((const char **) documents_xpm ) );
    this->addBitmap( BMP_DOWN_ID , new TBitmap((const char **) down_xpm ) );
    this->addBitmap( BMP_EDIT_COPY_22_ID , new TBitmap((const char **) edit_copy_22_xpm ) );
    this->addBitmap( BMP_EDIT_COPY_ID , new TBitmap((const char **) edit_copy_xpm ) );
    this->addBitmap( BMP_EDIT_CUT_22_ID , new TBitmap((const char **) edit_cut_22_xpm ) );
    this->addBitmap( BMP_EDIT_CUT_ID , new TBitmap((const char **) edit_cut_xpm ) );
    this->addBitmap( BMP_EDIT_PASTE_22_ID , new TBitmap((const char **) edit_paste_22_xpm ) );
    this->addBitmap( BMP_EDIT_PASTE_ID , new TBitmap((const char **) edit_paste_xpm ) );
    this->addBitmap( BMP_EDITQUESTION_ID , new TBitmap((const char **) editquestion_xpm ) );
    this->addBitmap( BMP_EXCHANGE_ID , new TBitmap((const char **) exchange_xpm ) );
    this->addBitmap( BMP_FILE_BINARY_ID , new TBitmap((const char **) file_binary_xpm ) );
    this->addBitmap( BMP_FILE_FIND_22_ID , new TBitmap((const char **) file_find_22_xpm ) );
    this->addBitmap( BMP_FILE_FIND_NEXT_22_ID , new TBitmap((const char **) file_find_next_22_xpm ) );
    this->addBitmap( BMP_FILE_FIND_NEXT_ID , new TBitmap((const char **) file_find_next_xpm ) );
    this->addBitmap( BMP_FILE_FIND_ID , new TBitmap((const char **) file_find_xpm ) );
    this->addBitmap( BMP_FILE_IMAGE_ID , new TBitmap((const char **) file_image_xpm ) );
    this->addBitmap( BMP_FILE_INI_M_ID , new TBitmap((const char **) file_ini_m_xpm ) );
    this->addBitmap( BMP_FILE_INI_ID , new TBitmap((const char **) file_ini_xpm ) );
    this->addBitmap( BMP_FILE_OPEN_22_ID , new TBitmap((const char **) file_open_22_xpm ) );
    this->addBitmap( BMP_FILE_OPEN_ID , new TBitmap((const char **) file_open_xpm ) );
    this->addBitmap( BMP_FILE_POVRAY_M_ID , new TBitmap((const char **) file_povray_m_xpm ) );
    this->addBitmap( BMP_FILE_POVRAY_ID , new TBitmap((const char **) file_povray_xpm ) );
    this->addBitmap( BMP_FILE_REPLACE_22_ID , new TBitmap((const char **) file_replace_22_xpm ) );
    this->addBitmap( BMP_FILE_REPLACE_ID , new TBitmap((const char **) file_replace_xpm ) );
    this->addBitmap( BMP_FILE_SAVE_22_ID , new TBitmap((const char **) file_save_22_xpm ) );
    this->addBitmap( BMP_FILE_SAVE_ID , new TBitmap((const char **) file_save_xpm ) );
    this->addBitmap( BMP_FILE_TXT_ID , new TBitmap((const char **) file_txt_xpm ) );
    this->addBitmap( BMP_FOLDER_ID , new TBitmap((const char **) folder_xpm ) );
    this->addBitmap( BMP_FONTS_22_ID , new TBitmap((const char **) fonts_22_xpm ) );
    this->addBitmap( BMP_HELP_ID , new TBitmap((const char **) help_xpm ) );
    this->addBitmap( BMP_INCS_ID , new TBitmap((const char **) incs_xpm ) );
    this->addBitmap( BMP_JOIN_LINES_22_ID , new TBitmap((const char **) join_lines_22_xpm ) );
    this->addBitmap( BMP_JOIN_LINES_ID , new TBitmap((const char **) join_lines_xpm ) );
    this->addBitmap( BMP_MAGNIFIER_FIT_ID , new TBitmap((const char **) magnifier_fit_xpm ) );
    this->addBitmap( BMP_MAGNIFIER_MINUS_ID , new TBitmap((const char **) magnifier_minus_xpm ) );
    this->addBitmap( BMP_MAGNIFIER_PLUS_ID , new TBitmap((const char **) magnifier_plus_xpm ) );
    this->addBitmap( BMP_PLAY_ID , new TBitmap((const char **) play_xpm ) );
    this->addBitmap( BMP_POVRAY_ID , new TBitmap((const char **) povray_xpm ) );
    this->addBitmap( BMP_REDO_22_ID , new TBitmap((const char **) redo_22_xpm ) );
    this->addBitmap( BMP_REDO_ID , new TBitmap((const char **) redo_xpm ) );
    this->addBitmap( BMP_REFRESH_ID , new TBitmap((const char **) refresh_xpm ) );
    this->addBitmap( BMP_REMOVE_LINE_22_ID , new TBitmap((const char **) remove_line_22_xpm ) );
    this->addBitmap( BMP_REMOVE_LINE_ID , new TBitmap((const char **) remove_line_xpm ) );
    this->addBitmap( BMP_REMOVE_ID , new TBitmap((const char **) remove_xpm ) );
    this->addBitmap( BMP_SHARP_BOOKMARK_ID , new TBitmap((const char **) sharp_bookmark_xpm ) );
    this->addBitmap( BMP_SHARP_DECLARE_ID , new TBitmap((const char **) sharp_declare_xpm ) );
    this->addBitmap( BMP_SHARP_LOCALE_ID , new TBitmap((const char **) sharp_locale_xpm ) );
    this->addBitmap( BMP_SHARP_MACRO_ID , new TBitmap((const char **) sharp_macro_xpm ) );
    this->addBitmap( BMP_SPLASH_ID , new TBitmap((const char **) splash_xpm ) );
    this->addBitmap( BMP_STOP_ID , new TBitmap((const char **) stop_xpm ) );
    this->addBitmap( BMP_UNDO_22_ID , new TBitmap((const char **) undo_22_xpm ) );
    this->addBitmap( BMP_UNDO_ID , new TBitmap((const char **) undo_xpm ) );
    this->addBitmap( BMP_UP_ID , new TBitmap((const char **) up_xpm ) );
    this->addBitmap( BMP_XPE_16_ID , new TBitmap((const char **) xpe_16_xpm ) );
}

